%define anolis_release 2

Name:		supervisor
Version:	4.2.4
Release:	%{anolis_release}%{?dist}
Summary:	A System for Allowing the Control of Process State on UNIX
License:	BSD and MIT
URL:		http://supervisord.org/
Source0:	https://pypi.python.org/packages/source/s/%{name}/%{name}-%{version}.tar.gz
Source1: 	supervisord.service
Source2: 	supervisord.conf
Source3: 	supervisor.logrotate
Source4: 	supervisor.tmpfiles

BuildRequires:	python3-devel
BuildRequires: 	python3-setuptools
BuildRequires: 	systemd

BuildArch: 	noarch

Requires:	python3-setuptools

%description
The supervisor is a client/server system that allows its users to control a
number of processes on UNIX-like operating systems.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/supervisord.d
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}
mkdir -p %{buildroot}%{_rundir}/%{name}
chmod 755 %{buildroot}%{_localstatedir}/log/%{name}
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/supervisord.service
install -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/supervisord.conf
install -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/supervisor
install -D -p -m 0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf
sed -i s'/^#!.*//' $( find %{buildroot}%{python3_sitelib}/supervisor/ -type f)

rm -f %{buildroot}%{_prefix}/doc/*.txt

%post
%systemd_post %{name}d.service
 
%preun
%systemd_preun %{name}d.service
 
%postun
%systemd_postun %{name}d.service

%files
%license COPYRIGHT.txt LICENSES.txt
%{_tmpfilesdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/supervisord.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/supervisor
%{_unitdir}/supervisord.service
%{_bindir}/supervisor*
%{_bindir}/echo_supervisord_conf
%{_bindir}/pidproxy
%dir %{_localstatedir}/log/%{name}
%dir %{_sysconfdir}/supervisord.d
%dir %{_rundir}/%{name}
%{python3_sitelib}/supervisor*

%files doc
%doc CHANGES.rst README.rst

%changelog
* Mon Jan 16 2023 chen_yu_ao <m15927509890@163.com> - 4.2.4-2
- remove extra slashes

* Thu Sep 01 2022 happy_orange <songnannan@linux.alibaba.com> - 4.2.4-1
- Init package from upstream
